#pragma once

#include <string>
#include <memory>

class Image;

class PngWriterImpl
{
public:
	virtual ~PngWriterImpl() = default;

	virtual void setPath(const std::string& path) = 0;

	virtual void write(const std::unique_ptr<Image>& image) const = 0;
};
